import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const StageFoot = /*@__PURE__*/ proxyCustomElement(class StageFoot extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h(Host, { key: '351793d066e2d3018a0a4c40cdb2b69495127199', class: "hero-foot" }, h("slot", { key: '76c2593eac606f7aed4c15ac6148780a37555b54' })));
    }
    get el() { return this; }
}, [260, "bal-stage-foot"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-foot"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-foot":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageFoot);
            }
            break;
    } });
}

const BalStageFoot = StageFoot;
const defineCustomElement = defineCustomElement$1;

export { BalStageFoot, defineCustomElement };
